Audit
Get Audit
GET
/v1/messages/{message_id}/auditHTTPBearerheader
AuthorizationBearer <token>AskRAI API key
message_id*Message IdThe audit_ref of a query's answer, a UUID.
Successful Response
application/json- response
Subset of audit fields relevant to external API consumers.
id*IdAudit record ID
tenant_id*Tenant IdTenant identifier
thread_id?|Conversation thread ID
question?|User question text
answer?|AI response text
confidence_score?|Response confidence score
tripwire_triggered?Tripwire TriggeredWhether a guardrail blocked the request
Default
falsechannel_type?|Communication channel
created_at?|Audit record timestamp
curl -X GET 'https://public.askrai.ai/v1/messages/string/audit'Example Response
{ "id": "string", "tenant_id": "string", "thread_id": "string", "question": "string", "answer": "string", "confidence_score": 0, "tripwire_triggered": false, "channel_type": "string", "created_at": "2019-08-24T14:15:22Z"}